aboutsummaryrefslogtreecommitdiffhomepage
path: root/compile.sh
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-01-20 19:54:20 +0000
committerGravatar Lukacs Berki <lberki@google.com>2016-01-21 10:34:47 +0000
commite87849b8d391af8f5d98e3a91e680e88a1264b64 (patch)
tree843edb64ce727b9ee958a5fa8124680761bf7b24 /compile.sh
parent631fdd255f4d0c4dba289f9745ce649193afec4d (diff)
Remove base_workspace from bazel setup
I also removed a couple places the documentation referred to it incorrectly. There are still a couple of blog posts that mention it, but that seemed okay. RELNOTES: A bazelrc with --package_path set is no longer required for Bazel to find its tools. This also means that building //... should work to build everything in the workspace without including Bazel's own targets. -- MOS_MIGRATED_REVID=112604261
Diffstat (limited to 'compile.sh')
-rwxr-xr-xcompile.sh25
1 files changed, 6 insertions, 19 deletions
diff --git a/compile.sh b/compile.sh
index 1cc6ecf545..9f435e0b2b 100755
--- a/compile.sh
+++ b/compile.sh
@@ -27,30 +27,26 @@ cd "$(dirname "$0")"
source scripts/bootstrap/buildenv.sh
function usage() {
- [ -n "${1:-build}" ] && echo "Invalid command(s): $1" >&2
+ [ -n "${1:-compile}" ] && echo "Invalid command(s): $1" >&2
echo "syntax: $0 [command[,command]* [BAZEL_BIN [BAZEL_SUM]]]" >&2
echo " General purpose commands:" >&2
- echo " build = compile,init (default)" >&2
- echo " compile = compile a Bazel binary for usage" >&2
- echo " init = initialize the base workspace" >&2
+ echo " compile = compile the bazel binary (default)" >&2
echo " Commands for developers:" >&2
- echo " all = build,determinism,test" >&2
+ echo " all = compile,determinism,test" >&2
echo " determinism = test for stability of Bazel builds" >&2
echo " test = run the full test suite of Bazel" >&2
exit 1
}
function parse_options() {
- local keywords="(build|compile|init|all|determinism|bootstrap|test)"
- COMMANDS="${1:-build}"
+ local keywords="(compile|all|determinism|bootstrap|test)"
+ COMMANDS="${1:-compile}"
[[ "${COMMANDS}" =~ ^$keywords(,$keywords)*$ ]] || usage "$@"
DO_COMPILE=
DO_CHECKSUM=
DO_FULL_CHECKSUM=1
DO_TESTS=
- DO_BASE_WORKSPACE_INIT=
- [[ "${COMMANDS}" =~ (compile|build|all) ]] && DO_COMPILE=1
- [[ "${COMMANDS}" =~ (init|build|all) ]] && DO_BASE_WORKSPACE_INIT=1
+ [[ "${COMMANDS}" =~ (compile|all) ]] && DO_COMPILE=1
[[ "${COMMANDS}" =~ (bootstrap|determinism|all) ]] && DO_CHECKSUM=1
[[ "${COMMANDS}" =~ (bootstrap) ]] && DO_FULL_CHECKSUM=
[[ "${COMMANDS}" =~ (test|all) ]] && DO_TESTS=1
@@ -159,14 +155,5 @@ if [ $DO_TESTS ]; then
|| fail "Tests failed"
fi
-#
-# Setup the base workspace
-#
-if [ $DO_BASE_WORKSPACE_INIT ]; then
- new_step 'Setting up base workspace'
- display "."
- source scripts/bootstrap/init_workspace.sh
-fi
-
clear_log
display "Build successful! Binary is here: ${BAZEL}"